@import "@/styles/variables";

.main {
    padding: 4rem 0 0;
    display: grid;
    margin: 0 auto;
    grid-template-columns: repeat(12, 1fr);

    @include tablet {
        padding: 6rem 0 0;
    }

    .container {
        padding: 0 $padding-sm;
        grid-column: 1 / -1;
        display: grid;
        grid-template-columns: repeat(12, 1fr);
        grid-template-rows: 1fr auto;
        gap: 2rem 1rem;
        margin-bottom: 4rem;

        @include notebook {
            max-width: $max-inner-width;
            margin: 0 auto;
            margin-bottom: 4rem;
            grid-template-rows: auto;
        }

        @include desktop {
            padding: 0;
        }

        .color-link {
            grid-column: 1 / -1;
            margin-bottom: 2rem;

            @include notebook {
                grid-column: 2 / -2;
                margin-bottom: 4rem;
            }
        }

    }
}

.four-oh-four {
    @include col;
    @include flex-center;

    grid-column: 1 / -1;
    gap: 2rem;
    padding: 4rem 2rem;
    text-align: center;

    @include tablet {
        margin: 0 auto;
    }

    @include notebook {
        width: 50%;
        margin-bottom: 10rem;
    }

    a {
        color: $secondary-color;
        text-decoration: underline;
    }
}
